EDIT - bug #7229

obsolte code in AbstractEditorPresenter.onEditorDeleteEvent?

01/31/2018 08:31 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

changing the Flush mode in is most likely obsolete:

/**

* Regarding changing the Flush mode see see also {@link ViewScopeConversationHolder}

*

* @param saveEvent

*/
@EventBusListenerMethod

public void onEditorDeleteEvent (Event<EditorDeleteEvent<DTO>> deleteEvent) {

FlushMode previousFlushMode = getSession () .getFlushMode () ;

getSession () .setFlushMode (FlushMode.AUTO) ;

deleteBean (deleteEvent.getPayload () .getBean());
getSession () .setFlushMode (previousFlushMode) ;

Associated revisions

Revision fb7daf37 - 02/01/2018 03:08 PM - Andreas Kohlbecker

removing old code related to deleted ViewScopeConversationHolder

History

#1 - 02/01/2018 03:11 PM - Andreas Kohlbecker

- Status changed from New to Closed

#2 - 02/01/2018 03:11 PM - Andreas Kohlbecker
- % Done changed from 0 to 100
